# peizhi/urls.py
from django.urls import path
from .views import ShangpinGonggaoView, AdminUpdateConfigView, AdminUploadImageView, AdminConfigQueryView, \
    DashouPaihangView, GetAdminZhanghaoView, GetXiugaiJiluView, ShangjiaTianjiaMobanView, ShangjiaMobanListView, \
    ShangjiaGengxinMobanView, ShangjiaShanchuMobanView, ShangjiaGenerateLinkView, KehuGetDingdanLianjieView, \
    KehuTianxieDingdanView, AdminSelfBatchGenerateLinkView, ShangjiaMobanListViewpl, GuanshiQRCodeView, \
    GuanZhuAListView, ZuzhangHaibaoView, GetDynamicConfigView, PopupConfigView, GetWithdrawModeView, CheckPhoneAuthView, \
    ShangjiaLianjieListView

urlpatterns = [
    path('shangpingonggao/', ShangpinGonggaoView.as_view(), name='商品公告轮播获取'),
    path('adpzhq', AdminConfigQueryView.as_view(), name='管理员获取配置'),
    path('adxgtp', AdminUploadImageView.as_view(), name='管理员更新配置图片'),
    path('adupdate', AdminUpdateConfigView.as_view(), name='管理员更新群和利禄'),
    path('dsph', DashouPaihangView.as_view(), name='排行数据获取'),
    path('adzhhq', GetAdminZhanghaoView.as_view(), name='管理员查询操作记录 账号'),
    path('adhqxg', GetXiugaiJiluView.as_view(), name='管理员铲鲟操作记录数据'),
    path('sjtjddmb', ShangjiaTianjiaMobanView.as_view(), name='商家添加订单模板'),
    path('sjddmblb', ShangjiaMobanListView.as_view(), name='商家获取订单模板'),
    path('sjddmbgx', ShangjiaGengxinMobanView.as_view(), name='商家修改订单模板'),
    path('sjddmbsc', ShangjiaShanchuMobanView.as_view(), name='商家删除订单模板'),
    # 商家生成链接接口
    path('sjljhq', ShangjiaGenerateLinkView.as_view(), name='商家生成链接'),
    # 客户获取订单链接信息
    path('khhqddlj', KehuGetDingdanLianjieView.as_view(), name='客户获取订单链接数据'),

    # 客户填写订单信息
    path('kehutx', KehuTianxieDingdanView.as_view(), name='客户修改订单链接'),
    path('batch-generate-link', AdminSelfBatchGenerateLinkView.as_view(),name='生成一百个链接'),
    path('adhqmb', ShangjiaMobanListViewpl.as_view(), name='一百个连接接口获取模板'),
    path('guanshiewm', GuanshiQRCodeView.as_view(), name='管事生成二维码'),
    path('gzal', GuanZhuAListView.as_view(), name='关注阿龙'),
    path('zuzhanghb', ZuzhangHaibaoView.as_view(), name='组长二维码'),
    path('qdpzhq', GetDynamicConfigView.as_view(), name='小程序获取配置'),

    path('tanchuang', PopupConfigView.as_view(), name='微信小程序获取弹窗数据'),

   path('hqtxzsym', GetWithdrawModeView.as_view(), name='小程序获取提现方式'),
   path('yhbdsjh', CheckPhoneAuthView.as_view(), name='判断是否需要手机号绑定'),
   path('hqsjlslj', ShangjiaLianjieListView.as_view(), name='商家获取生成链接'),

]